%%%---------------------------------------------------------------------
%%% 事件类型id定义
%%%---------------------------------------------------------------------

-define(EVENT_LV_UP,                1).         % 玩家升级（全属性重算后）
-define(EVENT_COMBAT_POWER,         2).         % 战力改变
-define(EVENT_LV_UP_BF_COUNT_ATTR,  3).         % 玩家升级（全属性重算前）
-define(EVENT_PLAYER_DIE,           4).         % 玩家死亡
-define(EVENT_PICTURE_CHANGE,       5).         % 头像变化
-define(EVENT_GUILD_QUIT,           6).         % 公会退出
-define(EVENT_GUILD_DISBAND,        7).         % 公会解散
-define(EVENT_USE_BUFF_GOODS,       8).         % 使用buff物品
-define(EVENT_PUSHMAIL_ARRIVE_TIME, 9).         % 邮件推送到达特定时间
-define(EVENT_PUSHMAIL_OPEN_DAY,    10).        % 邮件推送开服天数
-define(EVENT_RECHARGE,             11).        % 充值
-define(EVENT_ONLINE_FLAG,          12).        % 上下线标识
-define(EVENT_REVIVE,               13).        % 复活
-define(EVENT_VIP,                  14).        % vip改变
-define(EVENT_PARTICIPATE_ACT,      15).        % 参加活动
-define(EVENT_KILL_LOCAL_BOSS,      16).        % 参与击杀本服BOSS
-define(EVENT_GIVE_GOODS,           17).        % 获得物品
-define(EVENT_RENAME,               18).        % 修改昵称
-define(EVENT_DROP_CHOOSE,          19).        % 拣取掉落
-define(EVENT_DISCONNECT,           21).        % 玩家断开连接(玩家进程下线)
-define(EVENT_LOGIN_CAST,           22).        % 玩家登录延后事件
-define(EVENT_ZERO_CLOCK,           23).        % 玩家0点事件
-define(EVENT_FOUR_CLOCK,           24).        % 玩家4点事件
-define(EVENT_WORLD_BOSS_LAST_HIT,  25).        % 世界BOSS最后一击
-define(EVENT_REWARD_BOSS_PART,     26).        % 参与赏金BOSS击杀
-define(EVENT_HOSTING_DUMMY_LOGIN,  27).        % 登陆的时候处于假人托管状态

-define(EVENT_BE_MATE,              32).        % 羁绊结交
-define(EVENT_RELIEVE_MATE,         33).        % 羁绊解除
-define(EVENT_DUNGEON_SUCCESS,      34).        % 副本通关
-define(EVENT_DUNGEON_FAIL,         35).        % 副本失败

-define(EVENT_ADD_FRIEND,            42).       % 增加好友

-define(EVENT_CHAT_WORLD_TEXT,       45).       % 玩家聊天：世界频道文字
-define(EVENT_CHAT_HORN,             46).       % 玩家聊天：喇叭
-define(EVENT_CHAT_VOICE,            47).       % 玩家聊天：语音
-define(EVENT_CHAT_PRIVATE,          48).       % 玩家聊天：私聊

-define(EVENT_JOIN_GUILD,            50).       % 加入公会
-define(EVENT_CREATE_GUILD,          51).       % 创建公会
-define(EVENT_GUILD_DONATE,          52).       % 公会贡献
-define(EVENT_MONEY_CONSUME,         53).       % 金钱消耗

-define(EVENT_EQUIP,                 54).       % 装备变更:穿戴/强化/升星/进化
-define(EVENT_EQUIP_STRENGTH,        55).       % 强化装备
-define(EVENT_EQUIP_INLAY,           57).       % 装备龙语


-define(EVENT_CHECK_IN,              66).       % 签到

-define(EVENT_ADD_LIVENESS,          70).       % 活跃度
-define(EVENT_AUCTION_SUCCESS,       71).       % 参与竞拍
-define(EVENT_LIVENESS_LV,           72).       % 活跃度升级


-define(EVENT_TURN_UP,               76).       % 转生成功
-define(EVENT_VIP_TIME_OUT,          77).       % 体验VIP过期

-define(EVENT_LEAVE_SCENE,           107).      % 离开场景
-define(EVENT_PREPARE_CHANGE_SCENE,  108).      % 准备切换场景
-define(EVENT_FIN_CHANGE_SCENE,      109).      % 完成场景的切换
-define(EVENT_CLIENT_LOGIN_SUCCESS,  110).      % 客户端登录完成
                                                % 注：首次完成场景的切换代表客户端登录完成
-define(EVENT_DUNGEON_COUNT_CHANGE,  111).		% 副本次数改变
-define(EVENT_GIVE_GOODS_LIST,		 114).		% 获得物品列表
-define(EVENT_CENTER_CONNECTED,      117).      % 链接跨服中心成功
-define(EVENT_CENTER_DISCONNECT,     118).      % 与跨服中心断开链接

-define(EVENT_GUILD_MERGE,           119).      % 社团合并
-define(EVENT_FINISH_TASK,           120).      % 任务完成

-define(EVENT_CANCEL_SUPPORT,        121).      % 取消社团协助
-define(EVENT_SUP_VIP_CHANGE,        122).      % 贵族状态改变

-define(EVENT_FOSTER_GRADE_UP,       123).      % 进阶系统升阶事件
-define(EVENT_FOSTER_GRADE_STAR_UP,  124).      % 进阶系统升星事件
-define(EVENT_FOSTER_LV_UP, 		 129).      % 进阶升级

-define(EVENT_CZONE_NOTICE_REZONE,   125).      % 跨服即将分区事件
-define(EVENT_CZONE_REZONE_FINSIH,   126).      % 跨服分区完成事件
-define(EVENT_CZONE_INIT,            127).      % 跨服分区初始事件
-define(EVENT_CZONE_CONN,            128).      % 跨服分区连接成功事件

-define(EVENT_DRESS_UP_CHANGE,       130).      % 头像框等装扮改变
